package Search;

use strict;

sub match {
	my ($A, $B) = @_;
	my $l = length($A);
	my $m = 0;
	my $s;
	my $k;
	
	#detecting exact matches
	uc($A) eq uc($B) && return(1);
	#skip empty query
	return(0) if($l == 0);

		#escape regexp. characters in $A
		$s = quotemeta($A);
		$B =~ m/($s)/i ? $m++ : return 0;
	return $m;
}
1

